package net.wanji.utc.hisense.cache;

import net.wanji.databus.vo.LightsStatusVO;
import net.wanji.utc.hisense.pojo.convert.PhaseInfoPojo;
import net.wanji.utc.hisense.pojo.convert.PhaseStageInfoPojo;
import net.wanji.utc.hisense.pojo.convert.RunningLightsStatusPojo;
import net.wanji.utc.hisense.pojo.convert.SchemeInfoPojo;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author duanruiming
 * @date 2023/06/19 15:28
 */
@Component
public class SignalDataCache {
    public static final Map<String, List<SchemeInfoPojo>> schemeInfoCache = new HashMap<>();
    public static final Map<String, List<PhaseStageInfoPojo>> phaseStageInfoCache = new HashMap<>();
    public static final Map<String, List<PhaseInfoPojo>> phaseInfoCache = new HashMap<>();
    // 海信推送灯态数据
    public static final Map<String, RunningLightsStatusPojo> runningStateInfoCacheUdp = new HashMap<>();
    public static final Map<String, LightsStatusVO> runningStateInfoCache = new ConcurrentHashMap<>();
    // 海信推送方案相位信息，未计算灯态缓存
    public static final Map<String, LightsStatusVO> runningStateInfoCacheNoLamp = new ConcurrentHashMap<>();
    public static final Map<String, Long> runningStatusStampMap = new HashMap<>();
}
