package net.wanji.utc.hisense.pojo.convert;

import lombok.Data;

/**
 * @author duanruiming
 * @date 2023/06/14 10:35
 */
@Data
public class LightsInfoPojo {
    private Integer lightId;
    // 1-机动车 2-非机动车 3-行人 4-车道 5-可变交通标志 6-公交车灯具 7-有轨电车专用灯 8-特殊灯
    private Integer type;

    public static Integer getLightsDir(Integer lightId) {
        // 万集 灯组放行方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北
        Integer dir = null;
        if (lightId <= 4) {
            dir = 1;
        } else if (lightId <= 8) {
            dir = 3;
        } else if (lightId <= 12) {
            dir = 5;
        } else if (lightId <= 16) {
            dir = 7;
        }
        return dir;
    }

    // 万集 灯组转向：1左转；2右转；3直行；4左掉头；5直左；6直右；7右掉头；8向左合流；9向右合流；10左转加掉头；11右转加掉头；
    // 12直行加左掉头；13直行加右掉头；14左转右转；15左直右；16左转右转加掉头；17左直掉头；18左直右掉头；20行人
    public static Integer getTurnDir(Integer lightId, Integer type) {
        Integer turnDir = null;
        if (type == 3) {
            turnDir = 20;
            return turnDir;
        }
        if (lightId % 4 == 1 && type  ==1) {
            turnDir = 1;
        } else {
            turnDir = 6;
        }
        return turnDir;
    }

    public static void main(String[] args) {
        System.err.println(1 % 4 == 1);
    }
}
