package net.wanji.utc.hisense.pojo.convert;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/06/13 14:21
 * @description 相位信息转换实体
 */
@Data
@NoArgsConstructor
public class PhaseInfoPojo {
    private Integer phaseId;
    private Integer lightsId;
    private Integer greenTime;
    private Integer greenFlashTime;
    private Integer yellowTime;
    private Integer yellowFlashTime;
    private Integer redTime;
    private Integer minGreenTime;
    private Integer maxGreenTime;
    private Integer maxGreenTime2;
    private Integer extendGreenTime;

    public static PhaseInfoPojo getPhaseInfoPojoByPhaseId(Integer phaseId, List<PhaseInfoPojo> phaseInfoPojos) {
        for (PhaseInfoPojo phaseInfoPojo : phaseInfoPojos) {
            if (Objects.equals(phaseInfoPojo.getPhaseId(), phaseId)) {
                return phaseInfoPojo;
            }
        }
        return null;
    }
}
