package net.wanji.utc.hisense.pojo.result;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName CoordinationStatus
 * @Description 5.7. 协调状态
 * @Author zhouleilei
 * @Date 2024/11/3 12:31
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class CoordinationStatus {
    /**
     * 控制点编号
     */
    private String spot;
    /**
     * 当前信号机的运行方案号
     */
    private String coordPatternStatus;
    /**
     * 当前信号机运行方案的周期长
     */
    private String coordCycleStatus;
    /**
     * 当前信号机运行方案的周期倒计时
     */
    private String coordSyncStatus;
}
