package net.wanji.utc.hisense.pojo.view;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @ClassName VNtcipTimeBaseAscAction
 * @Description 时基动作视图
 * @Author zhouleilei
 * @Date 2024/11/11 22:00
 */
@Data
@TableName("hicon.V_NTCIPTIMEBASEASCACTION")
public class VNtcipTimeBaseAscActionView {
    /** 所属路口编号  */
    @TableField("CINTSID")
    private String cIntsID;
    /** 动作号  */
    @TableField("NTIMEBASEASCACTIONNUMBER")
    private Integer nTimebaseAscActionNumber;
    /** 方案号  设置为 0 表明没有方案被选择 */
    @TableField("NTIMEBASEASCPATTERN")
    private Integer nTimebaseAscPattern;
    /** 感应控制辅助功能选择 */
    @TableField("NTIMEBASEASCAUXILLARYFUNCTION")
    private Integer nTimebaseAscAuxillaryFunction;
    /** 特殊功能 */
    @TableField("NTIMEBASEASCSPECIALFUNCTION")
    private Integer nTimebaseAscSpecialFunction;
    /**  策略号 INT 默认 0 */
    @TableField("NSTRATEGYNO")
    private Integer nStrategyNo;
}
