package net.wanji.utc.hisense.pojo.xml.pojo.messagecontent;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author duanruiming
 * @date 2024/10/29 16:56
 */
@Data
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "systemScription")
public class StepControlRequest {

    private Content messageContent;

    @Data
    @XmlAccessorType(XmlAccessType.FIELD)
    public static class Content {
        private String spot;
        /** 1-开始步进 0-取消 */
        private String command;
        /** 0 顺序步进，仅支持顺序 */
        private String ctrlStep;
    }
}
