package net.wanji.utc.hisense.pojo.xml.pojo.messagecontent.get;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import net.wanji.utc.hisense.pojo.xml.pojo.SystemScriptionRequest;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author duanruiming
 * @date 2024/11/02 20:00
 * @description 获取海信方案号请求实体，
 */
@Data
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "systemScription")
@AllArgsConstructor
@NoArgsConstructor
public class GetSchemeNoRequest extends SystemScriptionRequest {
    private Content messageContent;

    @Data
    @XmlAccessorType(XmlAccessType.FIELD)
    @AllArgsConstructor
    @NoArgsConstructor
    public static class Content {
        private String spot;
    }
}
