package net.wanji.utc.hisense.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author duanruiming
 * @date 2024/11/12 14:16
 * @decription 还行通道控制枚举
 */
@AllArgsConstructor
@Getter
public enum ChannelControlEnum {
    OTHER(1, "其他相位控制"),
    VEHICLE(2, "机动车相位控制"),
    PEDESTRIAN(3, "行人相位控制"),
    OVERLAP(4, "跟随相位控制");

    private Integer code;
    private String desc;

    public static void main(String[] args) {
        String dirTurn = Integer.toBinaryString(77);
        String dir = dirTurn.substring(0, 3);
        String turn = dirTurn.substring(2);
        System.err.println(dir);
        System.err.println(turn);
        System.err.println(Integer.parseInt(dir, 2));
        System.err.println(Integer.parseInt(turn, 2));
    }
}
