package net.wanji.utc.hisense.common.enums.xml;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author duanruiming
 * @date 2024/01/08 10:12
 */
@Getter
@AllArgsConstructor
@RequiredArgsConstructor
public enum MessageTypeEnum {

    HEARTBEAT_STATUS(0, "心跳状态"),
    LOGON_STATUS(1, "登录状态"),
    SUBSCRIBE_STATUS(2, "订阅状态"),
    ONLINE_STATUS(3, "联机状态"),
    PAHSE_STATUS(10, "相位状态"),
    UNIT_STATUS(11, "单元状态"),
    COORDINATE_STATUS(12, "协调状态"),
    MANUAL_CONTROL(16, "手动放案控制"),
    PHASE_LOCK(18, "相位驻留控制"),
    SIGNAL_TIMING(21, "信号机校时请求"),
    STEP_CANCEL_CONTROL(22, "步进及取消控制"),
    FOLLOW_PHASE(23, "跟随相位状态"),
    FAULT_STATUS(26, "故障状态"),
    CHANNEL_CONTROL(27, "通道勤务控制"),
    SCHEME_RING_REQUEST(30, "方案环图请求"),
    SCHEME_OPTIMIZE_CONTROL(39, "方案优化控制"),
    CHANNEL_STATUS(40, "通道状态");
    private int type;
    private String message;

}
