package net.wanji.utc.hisense.pojo.view;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @ClassName VNtcipTimeBaseDayplan
 * @Description 时段视图
 * @Author zhouleilei
 * @Date 2024/11/11 19:57
 */
@Data
@TableName("hicon.V_NTCIPTIMEBASEDAYPLAN")
public class VNtcipTimeBaseDayplanView {
    /** 所属路口编号 NC(6) Y */
    @TableField("CINTSID")
    private String cIntsID;
    /** 时段表号 INT Y (1..16)Y */
    @TableField("NDAYPLANNUMBER")
    private Integer nDayPlanNumber;
    /** 时段序号 INT (1..48) */
    @TableField("NDAYPLANEVENTNUMBER")
    private Integer nDayPlanEventNumber;
    /** 执行时刻的整点数 INT 24 时制 */
    @TableField("NDAYPLANHOUR")
    private Integer nDayPlanHour;
    /** 执行时刻的整分数 INT */
    @TableField("NDAYPLANMINUTE")
    private Integer nDayPlanMinute;
    /**  动作号 INT */
    @TableField("NDAYPLANACTIONNUMBEROID")
    private Integer nDayPlanActionNumberOID;
    /** 策略号 INT 该时段所用方案的所属策略， 默认 0 */
    @TableField("NSTRATEGYNO")
    private Integer nStrategyNo;

}
