package net.wanji.utc.hisense.pojo.xml.pojo.messagecontent;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author duanruiming
 * @date 2024/10/29 17:22
 */
@Data
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "systemScription")
public class StepControlMultiPhaseRequest {

    private Content messageContent;

    @Data
    @XmlAccessorType(XmlAccessType.FIELD)
    public static class Content {
        private String spot;
        /** 相位数量 */
        private int count;
        /** 相位号 */
        private String holdPhase;
        private String holdPhase1;
        private String holdPhase2;
        private String holdPhase3;
        private String holdPhase4;
        private String holdPhase5;
    }
}
